<div
  class="full-width flex-fixed-size step-list-element-wrapper"
  [attr.data-test-element-id]="'test-step'"
  [attr.data-test-test-step-id]="step.id"
  [sqtmCoreDraggableListItem]="step.id"
>
  <div
    #dropFileZone
    class="flex-row full-width step-list-element neutral-border"
    [class.border-selected]="step.selected && !step.draggingStep"
    [class.disabled]="disableControls(step, stepCreationMode)"
    [class.placeholder]="showPlaceHolder(step)"
    [class.collapsed]="!step.extended"
    [class.read-only]="!editable"
    [class.sqtm-core-border-current-workspace-color]="
      showRequirementIsOver(step)
    "
    sqtmCoreAttachmentDropZone
    (filesDropEvent)="addAttachment($event, step)"
    (filesDragEnterEvent)="handleAttachmentEnter()"
    (filesDragLeaveEvent)="handleAttachmentLeave()"
  >
    <div class="dnd-handler-wrapper flex-fixed-size">
      <div class="dnd-handler" sqtmCoreDraggableItemHandler></div>
    </div>
    <div class="flex-column index-column flex-fixed-size">
      @if (editable) {
        <div
          class="arrow arrow-sup m-t-5"
          (click)="moveStepUp(step)"
          [attr.data-icon]="'arrowMoveStepUp'"
        >
          <i nz-icon nzType="double-right" nzTheme="outline"></i>
        </div>
      }
      <div
        class="index-typography"
        [class.selected]="step.selected && !step.draggingStep"
        (click)="selectStep($event, step.id)"
      >
        {{ step.stepOrder + 1 }}
      </div>
      @if (editable) {
        <div
          class="arrow arrow-down m-b-5"
          (click)="moveStepDown(step)"
          [attr.data-icon]="'arrowMoveStepDown'"
        >
          <i nz-icon nzType="double-right" nzTheme="outline"></i>
        </div>
      }
    </div>
    <div class="full-width step-order-content m-l-10 m-b-10 overflow-hidden">
      @if (showAsActionStep(step)) {
        <sqtm-app-action-step
          [actionStep]="step"
          [customFields]="customFields"
          [initialFraction]="initialFraction"
          [editable]="editable"
          [linkable]="linkable"
          [canAttach]="canAttach"
          (resizeActionStepColumn)="forwardFractionChangeToList($event)"
        >
        </sqtm-app-action-step>
      }

      @if (showAsCallStep(step)) {
        <sqtm-app-call-step [callTestStep]="step" [editable]="editable">
        </sqtm-app-call-step>
      }

      @if (step.kind === 'create-action-step-form') {
        <sqtm-app-create-step-form
          [step]="step"
          [customFields]="customFields"
          [initialFraction]="initialFraction"
          (resizeActionStepColumn)="forwardFractionChangeToList($event)"
          [stepCount]="stepCount"
        >
        </sqtm-app-create-step-form>
      }

      @if (showPlaceHolder(step)) {
        <div class="flex-fixed-size"></div>
      }
    </div>
  </div>
</div>
